List Transcripts by Agent
curl --request GET \
--url https://api.getoutbox.ai/agent/transcript/list/{agent_id} \
--header 'Authorization: <api-key>' \
--header 'X-User-Timezone: <x-user-timezone>'import requests
url = "https://api.getoutbox.ai/agent/transcript/list/{agent_id}"
headers = {
"X-User-Timezone": "<x-user-timezone>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-User-Timezone': '<x-user-timezone>', Authorization: '<api-key>'}
};
fetch('https://api.getoutbox.ai/agent/transcript/list/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"agent_name": "<string>",
"agent_id": "<string>",
"user_name": "<string>",
"timestamp": "<string>",
"status": "<string>",
"opened": true,
"call_length": "<string>",
"message_count": 123
}
],
"queue_count": 123,
"total": 123
}Transcripts
List Transcripts by Agent
Retrieve a paginated list of transcripts for a specific agent (both calls and chats) with basic information
GET
/
agent
/
transcript
/
list
/
{agent_id}
List Transcripts by Agent
Authorizations
Company API Key
Headers
User's timezone for timestamp formatting
Path Parameters
The ID of the agent to filter transcripts
Query Parameters
Page number for pagination. Page size is 10 items.
Filter by thread status
Search term to filter by contact name or phone number
⌘I

